// T4WDemoDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CT4WDemoDlg dialog

class CT4WDemoDlg : public CDialog
{
// Construction
public:
	BYTE CurTagType;
	BOOL Running;
	__int64 StartTime,StopTime;
   char *GetHexString(BYTE *Data,int Length);
   BYTE *GetPW();
	BYTE *GetNewPW();

	void WriteAll(int What);
	void Start();
	void Stop();

	CT4WDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CT4WDemoDlg)
	enum { IDD = IDD_T4WDEMO_DIALOG };
	CStatic	m_stTagType;
	CStatic	m_stError;
	CStatic	m_stSerNr;
	CListBox	m_lbLog;
	CButton	m_BtStartStop;
	BOOL	m_cbtta;
	BOOL	m_cbttb;
	BOOL	m_cbttc;
	BOOL	m_cbttd;
	BOOL	m_cbactionread;
	BOOL	m_cbactionwrite;
	int		m_rbpw;
	int		m_rbcomport;
	CString	m_ebUserPW;
	int		m_rbnewpw;
	CString	m_ebNewUserPW;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CT4WDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CT4WDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtTT();
	afx_msg void OnDestroy();
	afx_msg void OnBtStartStop();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnRbComPort();
	afx_msg void OnBtReadAll();
	afx_msg void OnBtSelect();
	afx_msg void OnBtWrite00();
	afx_msg void OnBtWriteEnum();
	afx_msg void OnBtWriteFF();
	afx_msg void OnBtWriteTagPW();
	afx_msg void OnBtSelectInternalPW();
	afx_msg void OnBtReadConfig();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void Log(BOOL Flush,char *Format,...);
	void LogDump(BYTE *Data,DWORD Length);
	void PlotStatus(int Status);
};
